<html>
<body>

<H2 autotoc="yes"> Spice export  </H2>
<p>
This chapter of the user manual is dealing with the raw spice workflow,
assuming the user wants to understand the process on the spice level.
There's an alternative, a higher level abstraction, called sim. Both
are also covered by <a href="../../../tutorial/simulation/">the simulation
tutorial.</a>
<!--TODO: link sim-->
<p>
Raw spice export topics:
<ul>
	<li> <a href="model.html"> model selection </a>
	<li> <a href="pinout.html"> spice-specific pinout </a>
	<li> <a href="elect0.html"> node 0 </a>, the ground network
	<li> <a href="auto_bride.html"> bridges </a>, useful for mixed mode (analog+digital) simulation
	<li> <a href="raw.html"> full list of symbol, terminal and net attributes </a> used for the raw spice workflow
</ul>

<H2 autotoc="yes"> Standard features of export_spice </H2>
<p>
Type: netlist.

<H3 autotoc="yes"> Attribute usage </h3>
<p>
For components the following attributes are used to construct file-format
specified fields:
<ul>
	<li> network's spice/gnd is used to <a href="elect0.html">select the ground network, node 0</a>
	<li> component's <i>device</i> is printed as comment when debug is enabled
	<li> component's <i>display/value</i> (fallback: <i>value</i>)
	<li> component's <i>display/spice/params</i> (fallback: <i>spice/parans</i>)
	<li> component's <i>spice/model</i>
	<li> component's <i>spice/model_card</i>
	<li> component's <i>spice/model_card_uname</i>
	<li> component's <i>spice/file_header</i>
	<li> component's <i>spice/model_include</i>
	<li> component's <i>spice/command</i>
</ul>
<p>
Extra attributes with export name are <b>not</b> exported: the file format
is positional and does not support arbitrary attributes.

<H3 autotoc="yes"> Omit and DNP </h3>
<p>
The plugin will not export components and networks that have the
<i>display/omit</i> attribute set.
<p>
The plugin ignores DNP.







